# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.DeltaReason do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :tag,
    :problem,
    :recommendation,
    :modifier,
    :passed,
    :url,
    :mediaKey
  ]

  @type t :: %__MODULE__{
    :tag => String.t | nil,
    :problem => String.t | nil,
    :recommendation => String.t | nil,
    :modifier => float() | nil,
    :passed => boolean() | nil,
    :url => String.t | nil,
    :mediaKey => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.DeltaReason do
  def decode(value, _options) do
    value
  end
end

